


<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    
    <meta http-equiv="X-UA-Compatible" content="IE=emulateIE7" />
    <title>Coverage for boletin\models.py: 84%</title>
    <link rel="stylesheet" href="style.css" type="text/css">
    
    <script type="text/javascript" src="jquery.min.js"></script>
    <script type="text/javascript" src="jquery.hotkeys.js"></script>
    <script type="text/javascript" src="jquery.isonscreen.js"></script>
    <script type="text/javascript" src="coverage_html.js"></script>
    <script type="text/javascript">
        jQuery(document).ready(coverage.pyfile_ready);
    </script>
</head>
<body class="pyfile">

<div id="header">
    <div class="content">
        <h1>Coverage for <b>boletin\models.py</b> :
            <span class="pc_cov">84%</span>
        </h1>

        <img id="keyboard_icon" src="keybd_closed.png" alt="Show keyboard shortcuts" />

        <h2 class="stats">
            74 statements &nbsp;
            <span class="run hide_run shortkey_r button_toggle_run">62 run</span>
            <span class="mis shortkey_m button_toggle_mis">12 missing</span>
            <span class="exc shortkey_x button_toggle_exc">0 excluded</span>

            
        </h2>
    </div>
</div>

<div class="help_panel">
    <img id="panel_icon" src="keybd_open.png" alt="Hide keyboard shortcuts" />
    <p class="legend">Hot-keys on this page</p>
    <div>
    <p class="keyhelp">
        <span class="key">r</span>
        <span class="key">m</span>
        <span class="key">x</span>
        <span class="key">p</span> &nbsp; toggle line displays
    </p>
    <p class="keyhelp">
        <span class="key">j</span>
        <span class="key">k</span> &nbsp; next/prev highlighted chunk
    </p>
    <p class="keyhelp">
        <span class="key">0</span> &nbsp; (zero) top of page
    </p>
    <p class="keyhelp">
        <span class="key">1</span> &nbsp; (one) first highlighted chunk
    </p>
    </div>
</div>

<div id="source">
    <table>
        <tr>
            <td class="linenos">
<p id="n1" class="pln"><a href="#n1">1</a></p>
<p id="n2" class="stm run hide_run"><a href="#n2">2</a></p>
<p id="n3" class="stm run hide_run"><a href="#n3">3</a></p>
<p id="n4" class="stm run hide_run"><a href="#n4">4</a></p>
<p id="n5" class="pln"><a href="#n5">5</a></p>
<p id="n6" class="pln"><a href="#n6">6</a></p>
<p id="n7" class="stm run hide_run"><a href="#n7">7</a></p>
<p id="n8" class="stm run hide_run"><a href="#n8">8</a></p>
<p id="n9" class="stm run hide_run"><a href="#n9">9</a></p>
<p id="n10" class="stm run hide_run"><a href="#n10">10</a></p>
<p id="n11" class="pln"><a href="#n11">11</a></p>
<p id="n12" class="stm run hide_run"><a href="#n12">12</a></p>
<p id="n13" class="stm run hide_run"><a href="#n13">13</a></p>
<p id="n14" class="stm run hide_run"><a href="#n14">14</a></p>
<p id="n15" class="pln"><a href="#n15">15</a></p>
<p id="n16" class="pln"><a href="#n16">16</a></p>
<p id="n17" class="pln"><a href="#n17">17</a></p>
<p id="n18" class="stm run hide_run"><a href="#n18">18</a></p>
<p id="n19" class="pln"><a href="#n19">19</a></p>
<p id="n20" class="pln"><a href="#n20">20</a></p>
<p id="n21" class="pln"><a href="#n21">21</a></p>
<p id="n22" class="pln"><a href="#n22">22</a></p>
<p id="n23" class="pln"><a href="#n23">23</a></p>
<p id="n24" class="stm run hide_run"><a href="#n24">24</a></p>
<p id="n25" class="stm run hide_run"><a href="#n25">25</a></p>
<p id="n26" class="pln"><a href="#n26">26</a></p>
<p id="n27" class="stm run hide_run"><a href="#n27">27</a></p>
<p id="n28" class="stm run hide_run"><a href="#n28">28</a></p>
<p id="n29" class="pln"><a href="#n29">29</a></p>
<p id="n30" class="stm run hide_run"><a href="#n30">30</a></p>
<p id="n31" class="stm run hide_run"><a href="#n31">31</a></p>
<p id="n32" class="stm run hide_run"><a href="#n32">32</a></p>
<p id="n33" class="stm mis"><a href="#n33">33</a></p>
<p id="n34" class="stm mis"><a href="#n34">34</a></p>
<p id="n35" class="pln"><a href="#n35">35</a></p>
<p id="n36" class="stm run hide_run"><a href="#n36">36</a></p>
<p id="n37" class="stm run hide_run"><a href="#n37">37</a></p>
<p id="n38" class="stm run hide_run"><a href="#n38">38</a></p>
<p id="n39" class="stm run hide_run"><a href="#n39">39</a></p>
<p id="n40" class="stm mis"><a href="#n40">40</a></p>
<p id="n41" class="stm mis"><a href="#n41">41</a></p>
<p id="n42" class="pln"><a href="#n42">42</a></p>
<p id="n43" class="pln"><a href="#n43">43</a></p>
<p id="n44" class="stm run hide_run"><a href="#n44">44</a></p>
<p id="n45" class="stm run hide_run"><a href="#n45">45</a></p>
<p id="n46" class="stm run hide_run"><a href="#n46">46</a></p>
<p id="n47" class="stm run hide_run"><a href="#n47">47</a></p>
<p id="n48" class="pln"><a href="#n48">48</a></p>
<p id="n49" class="pln"><a href="#n49">49</a></p>
<p id="n50" class="pln"><a href="#n50">50</a></p>
<p id="n51" class="stm run hide_run"><a href="#n51">51</a></p>
<p id="n52" class="stm run hide_run"><a href="#n52">52</a></p>
<p id="n53" class="stm run hide_run"><a href="#n53">53</a></p>
<p id="n54" class="stm run hide_run"><a href="#n54">54</a></p>
<p id="n55" class="stm run hide_run"><a href="#n55">55</a></p>
<p id="n56" class="pln"><a href="#n56">56</a></p>
<p id="n57" class="pln"><a href="#n57">57</a></p>
<p id="n58" class="pln"><a href="#n58">58</a></p>
<p id="n59" class="pln"><a href="#n59">59</a></p>
<p id="n60" class="stm run hide_run"><a href="#n60">60</a></p>
<p id="n61" class="stm run hide_run"><a href="#n61">61</a></p>
<p id="n62" class="pln"><a href="#n62">62</a></p>
<p id="n63" class="stm run hide_run"><a href="#n63">63</a></p>
<p id="n64" class="pln"><a href="#n64">64</a></p>
<p id="n65" class="stm run hide_run"><a href="#n65">65</a></p>
<p id="n66" class="stm run hide_run"><a href="#n66">66</a></p>
<p id="n67" class="pln"><a href="#n67">67</a></p>
<p id="n68" class="stm run hide_run"><a href="#n68">68</a></p>
<p id="n69" class="stm run hide_run"><a href="#n69">69</a></p>
<p id="n70" class="stm run hide_run"><a href="#n70">70</a></p>
<p id="n71" class="stm run hide_run"><a href="#n71">71</a></p>
<p id="n72" class="stm mis"><a href="#n72">72</a></p>
<p id="n73" class="stm mis"><a href="#n73">73</a></p>
<p id="n74" class="pln"><a href="#n74">74</a></p>
<p id="n75" class="stm run hide_run"><a href="#n75">75</a></p>
<p id="n76" class="stm run hide_run"><a href="#n76">76</a></p>
<p id="n77" class="stm run hide_run"><a href="#n77">77</a></p>
<p id="n78" class="stm run hide_run"><a href="#n78">78</a></p>
<p id="n79" class="stm mis"><a href="#n79">79</a></p>
<p id="n80" class="stm mis"><a href="#n80">80</a></p>
<p id="n81" class="pln"><a href="#n81">81</a></p>
<p id="n82" class="pln"><a href="#n82">82</a></p>
<p id="n83" class="stm run hide_run"><a href="#n83">83</a></p>
<p id="n84" class="stm mis"><a href="#n84">84</a></p>
<p id="n85" class="stm mis"><a href="#n85">85</a></p>
<p id="n86" class="pln"><a href="#n86">86</a></p>
<p id="n87" class="stm run hide_run"><a href="#n87">87</a></p>
<p id="n88" class="stm run hide_run"><a href="#n88">88</a></p>
<p id="n89" class="pln"><a href="#n89">89</a></p>
<p id="n90" class="stm run hide_run"><a href="#n90">90</a></p>
<p id="n91" class="stm run hide_run"><a href="#n91">91</a></p>
<p id="n92" class="stm run hide_run"><a href="#n92">92</a></p>
<p id="n93" class="stm run hide_run"><a href="#n93">93</a></p>
<p id="n94" class="stm run hide_run"><a href="#n94">94</a></p>
<p id="n95" class="stm run hide_run"><a href="#n95">95</a></p>
<p id="n96" class="stm run hide_run"><a href="#n96">96</a></p>
<p id="n97" class="stm run hide_run"><a href="#n97">97</a></p>
<p id="n98" class="stm run hide_run"><a href="#n98">98</a></p>
<p id="n99" class="stm run hide_run"><a href="#n99">99</a></p>
<p id="n100" class="pln"><a href="#n100">100</a></p>
<p id="n101" class="stm run hide_run"><a href="#n101">101</a></p>
<p id="n102" class="stm run hide_run"><a href="#n102">102</a></p>
<p id="n103" class="stm run hide_run"><a href="#n103">103</a></p>
<p id="n104" class="stm run hide_run"><a href="#n104">104</a></p>
<p id="n105" class="stm run hide_run"><a href="#n105">105</a></p>
<p id="n106" class="stm mis"><a href="#n106">106</a></p>
<p id="n107" class="stm mis"><a href="#n107">107</a></p>
<p id="n108" class="pln"><a href="#n108">108</a></p>
<p id="n109" class="pln"><a href="#n109">109</a></p>
<p id="n110" class="pln"><a href="#n110">110</a></p>
<p id="n111" class="pln"><a href="#n111">111</a></p>
<p id="n112" class="pln"><a href="#n112">112</a></p>
<p id="n113" class="pln"><a href="#n113">113</a></p>
<p id="n114" class="pln"><a href="#n114">114</a></p>
<p id="n115" class="pln"><a href="#n115">115</a></p>
<p id="n116" class="pln"><a href="#n116">116</a></p>
<p id="n117" class="pln"><a href="#n117">117</a></p>
<p id="n118" class="pln"><a href="#n118">118</a></p>
<p id="n119" class="pln"><a href="#n119">119</a></p>
<p id="n120" class="pln"><a href="#n120">120</a></p>
<p id="n121" class="pln"><a href="#n121">121</a></p>

            </td>
            <td class="text">
<p id="t1" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t2" class="stm run hide_run"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">contrib</span><span class="op">.</span><span class="nam">auth</span><span class="op">.</span><span class="nam">models</span> <span class="key">import</span> <span class="nam">User</span><span class="strut">&nbsp;</span></p>
<p id="t3" class="stm run hide_run"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">db</span> <span class="key">import</span> <span class="nam">models</span><span class="strut">&nbsp;</span></p>
<p id="t4" class="stm run hide_run"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">urls</span> <span class="key">import</span> <span class="nam">reverse</span><span class="strut">&nbsp;</span></p>
<p id="t5" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t6" class="pln"><span class="com"># Create your models here.</span><span class="strut">&nbsp;</span></p>
<p id="t7" class="stm run hide_run"><span class="key">class</span> <span class="nam">Perfil_Usuario</span><span class="op">(</span><span class="nam">models</span><span class="op">.</span><span class="nam">Model</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t8" class="stm run hide_run">    <span class="nam">User</span> <span class="op">=</span> <span class="nam">models</span><span class="op">.</span><span class="nam">OneToOneField</span><span class="op">(</span><span class="nam">User</span><span class="op">,</span> <span class="nam">on_delete</span> <span class="op">=</span> <span class="nam">models</span><span class="op">.</span><span class="nam">CASCADE</span><span class="op">,</span> <span class="nam">primary_key</span> <span class="op">=</span> <span class="key">True</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t9" class="stm run hide_run">    <span class="nam">nombre</span> <span class="op">=</span> <span class="nam">models</span><span class="op">.</span><span class="nam">CharField</span><span class="op">(</span><span class="nam">max_length</span><span class="op">=</span><span class="num">200</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t10" class="stm run hide_run">    <span class="nam">edad</span> <span class="op">=</span> <span class="nam">models</span><span class="op">.</span><span class="nam">IntegerField</span><span class="op">(</span><span class="nam">default</span><span class="op">=</span><span class="num">0</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t11" class="pln">    <span class="com">#genero = models.CharField(max_length=20)</span><span class="strut">&nbsp;</span></p>
<p id="t12" class="stm run hide_run">    <span class="nam">MASCULINO</span> <span class="op">=</span> <span class="str">'M'</span><span class="strut">&nbsp;</span></p>
<p id="t13" class="stm run hide_run">    <span class="nam">FEMENINO</span> <span class="op">=</span> <span class="str">'F'</span><span class="strut">&nbsp;</span></p>
<p id="t14" class="stm run hide_run">    <span class="nam">GENERO_OPCIONES</span> <span class="op">=</span> <span class="op">(</span><span class="strut">&nbsp;</span></p>
<p id="t15" class="pln">        <span class="op">(</span><span class="nam">MASCULINO</span><span class="op">,</span> <span class="str">'Masculino'</span><span class="op">)</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t16" class="pln">        <span class="op">(</span><span class="nam">FEMENINO</span><span class="op">,</span> <span class="str">'Femenino'</span><span class="op">)</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t17" class="pln">    <span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t18" class="stm run hide_run">    <span class="nam">genero</span> <span class="op">=</span> <span class="nam">models</span><span class="op">.</span><span class="nam">CharField</span><span class="op">(</span><span class="strut">&nbsp;</span></p>
<p id="t19" class="pln">        <span class="nam">max_length</span><span class="op">=</span><span class="num">20</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t20" class="pln">        <span class="nam">choices</span><span class="op">=</span><span class="nam">GENERO_OPCIONES</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t21" class="pln">        <span class="nam">default</span><span class="op">=</span><span class="nam">MASCULINO</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t22" class="pln">    <span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t23" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t24" class="stm run hide_run">    <span class="key">def</span> <span class="nam">__str__</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t25" class="stm run hide_run">        <span class="key">return</span> <span class="nam">self</span><span class="op">.</span><span class="nam">nombre</span><span class="strut">&nbsp;</span></p>
<p id="t26" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t27" class="stm run hide_run">    <span class="key">def</span> <span class="nam">create</span><span class="op">(</span><span class="nam">self</span><span class="op">,</span> <span class="nam">user</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t28" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">User</span> <span class="op">=</span> <span class="nam">user</span><span class="strut">&nbsp;</span></p>
<p id="t29" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t30" class="stm run hide_run">        <span class="key">try</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t31" class="stm run hide_run">            <span class="nam">self</span><span class="op">.</span><span class="nam">save</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t32" class="stm run hide_run">            <span class="key">return</span> <span class="key">True</span><span class="strut">&nbsp;</span></p>
<p id="t33" class="stm mis">        <span class="key">except</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t34" class="stm mis">            <span class="key">return</span> <span class="key">False</span><span class="strut">&nbsp;</span></p>
<p id="t35" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t36" class="stm run hide_run">    <span class="key">def</span> <span class="nam">modificar</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t37" class="stm run hide_run">        <span class="key">try</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t38" class="stm run hide_run">            <span class="nam">self</span><span class="op">.</span><span class="nam">save</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t39" class="stm run hide_run">            <span class="key">return</span> <span class="key">True</span><span class="strut">&nbsp;</span></p>
<p id="t40" class="stm mis">        <span class="key">except</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t41" class="stm mis">            <span class="key">return</span> <span class="key">False</span><span class="strut">&nbsp;</span></p>
<p id="t42" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t43" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t44" class="stm run hide_run"><span class="key">class</span> <span class="nam">Servicio</span><span class="op">(</span><span class="nam">models</span><span class="op">.</span><span class="nam">Model</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t45" class="stm run hide_run">    <span class="nam">CONSTRUCCION_GENERAL</span> <span class="op">=</span> <span class="str">'CG'</span><span class="strut">&nbsp;</span></p>
<p id="t46" class="stm run hide_run">    <span class="nam">FIERROS_METALICOS</span> <span class="op">=</span> <span class="str">'FM'</span><span class="strut">&nbsp;</span></p>
<p id="t47" class="stm run hide_run">    <span class="nam">SERVICIO_OPCIONES</span> <span class="op">=</span> <span class="op">(</span><span class="strut">&nbsp;</span></p>
<p id="t48" class="pln">        <span class="op">(</span><span class="nam">CONSTRUCCION_GENERAL</span><span class="op">,</span> <span class="str">'Construccion General'</span><span class="op">)</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t49" class="pln">        <span class="op">(</span><span class="nam">FIERROS_METALICOS</span><span class="op">,</span> <span class="str">'Fierros Metalicos'</span><span class="op">)</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t50" class="pln">    <span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t51" class="stm run hide_run">    <span class="nam">nombre_servicio</span> <span class="op">=</span> <span class="nam">models</span><span class="op">.</span><span class="nam">CharField</span><span class="op">(</span><span class="nam">max_length</span><span class="op">=</span><span class="num">100</span><span class="op">,</span> <span class="nam">default</span><span class="op">=</span><span class="str">"Servicio para la empresa RUT "</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t52" class="stm run hide_run">    <span class="nam">rut_empresa</span> <span class="op">=</span> <span class="nam">models</span><span class="op">.</span><span class="nam">CharField</span><span class="op">(</span><span class="nam">max_length</span><span class="op">=</span><span class="num">10</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t53" class="stm run hide_run">    <span class="nam">nombre_empresa</span> <span class="op">=</span> <span class="nam">models</span><span class="op">.</span><span class="nam">CharField</span><span class="op">(</span><span class="nam">max_length</span><span class="op">=</span><span class="num">200</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t54" class="stm run hide_run">    <span class="nam">cantidad_trabajadores</span> <span class="op">=</span> <span class="nam">models</span><span class="op">.</span><span class="nam">IntegerField</span><span class="op">(</span><span class="nam">default</span><span class="op">=</span><span class="num">0</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t55" class="stm run hide_run">    <span class="nam">servicio_requerido</span> <span class="op">=</span> <span class="nam">models</span><span class="op">.</span><span class="nam">CharField</span><span class="op">(</span><span class="strut">&nbsp;</span></p>
<p id="t56" class="pln">        <span class="nam">max_length</span><span class="op">=</span><span class="num">2</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t57" class="pln">        <span class="nam">choices</span><span class="op">=</span><span class="nam">SERVICIO_OPCIONES</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t58" class="pln">        <span class="nam">default</span><span class="op">=</span><span class="nam">CONSTRUCCION_GENERAL</span><span class="op">,</span><span class="strut">&nbsp;</span></p>
<p id="t59" class="pln">    <span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t60" class="stm run hide_run">    <span class="nam">inicio_contrato</span> <span class="op">=</span> <span class="nam">models</span><span class="op">.</span><span class="nam">DateField</span> <span class="op">(</span><span class="nam">auto_now</span><span class="op">=</span><span class="key">False</span><span class="op">,</span> <span class="nam">auto_now_add</span><span class="op">=</span><span class="key">False</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t61" class="stm run hide_run">    <span class="nam">termino_contrato</span> <span class="op">=</span> <span class="nam">models</span><span class="op">.</span><span class="nam">DateField</span> <span class="op">(</span><span class="nam">auto_now</span><span class="op">=</span><span class="key">False</span><span class="op">,</span> <span class="nam">auto_now_add</span><span class="op">=</span><span class="key">False</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t62" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t63" class="stm run hide_run">    <span class="nam">usuario_solicitante</span> <span class="op">=</span> <span class="nam">models</span><span class="op">.</span><span class="nam">ForeignKey</span><span class="op">(</span><span class="nam">User</span><span class="op">,</span> <span class="nam">on_delete</span><span class="op">=</span><span class="nam">models</span><span class="op">.</span><span class="nam">CASCADE</span><span class="op">)</span> <span class="com">##Si el usuario que lo crea se borra, el servicio tambien</span><span class="strut">&nbsp;</span></p>
<p id="t64" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t65" class="stm run hide_run">    <span class="key">def</span> <span class="nam">__str__</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t66" class="stm run hide_run">        <span class="key">return</span> <span class="nam">self</span><span class="op">.</span><span class="nam">nombre_servicio</span><span class="strut">&nbsp;</span></p>
<p id="t67" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t68" class="stm run hide_run">    <span class="key">def</span> <span class="nam">modificarServicio</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t69" class="stm run hide_run">        <span class="key">try</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t70" class="stm run hide_run">            <span class="nam">self</span><span class="op">.</span><span class="nam">save</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t71" class="stm run hide_run">            <span class="key">return</span> <span class="key">True</span><span class="strut">&nbsp;</span></p>
<p id="t72" class="stm mis">        <span class="key">except</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t73" class="stm mis">            <span class="key">return</span> <span class="key">False</span><span class="strut">&nbsp;</span></p>
<p id="t74" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t75" class="stm run hide_run">    <span class="key">def</span> <span class="nam">crearServicio</span><span class="op">(</span><span class="nam">self</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t76" class="stm run hide_run">        <span class="key">try</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t77" class="stm run hide_run">            <span class="nam">self</span><span class="op">.</span><span class="nam">save</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t78" class="stm run hide_run">            <span class="key">return</span> <span class="key">True</span><span class="strut">&nbsp;</span></p>
<p id="t79" class="stm mis">        <span class="key">except</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t80" class="stm mis">            <span class="key">return</span> <span class="key">False</span><span class="strut">&nbsp;</span></p>
<p id="t81" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t82" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t83" class="stm run hide_run">    <span class="key">def</span> <span class="nam">buscar_all</span><span class="op">(</span><span class="nam">self</span><span class="op">,</span><span class="nam">user</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t84" class="stm mis">        <span class="nam">servicio</span> <span class="op">=</span> <span class="nam">Servicio</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">filter</span><span class="op">(</span><span class="nam">usuario_solicitante</span><span class="op">=</span><span class="nam">user</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t85" class="stm mis">        <span class="key">return</span> <span class="nam">servicio</span><span class="strut">&nbsp;</span></p>
<p id="t86" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t87" class="stm run hide_run">    <span class="key">def</span> <span class="nam">buscar</span><span class="op">(</span><span class="nam">self</span><span class="op">,</span><span class="nam">id</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t88" class="stm run hide_run">        <span class="nam">servicio</span> <span class="op">=</span> <span class="nam">Servicio</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="nam">id</span><span class="op">=</span><span class="nam">id</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t89" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t90" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">id</span> <span class="op">=</span> <span class="nam">servicio</span><span class="op">.</span><span class="nam">id</span><span class="strut">&nbsp;</span></p>
<p id="t91" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">diaRnombre_servicioecordatorio</span> <span class="op">=</span> <span class="nam">servicio</span><span class="op">.</span><span class="nam">nombre_servicio</span><span class="strut">&nbsp;</span></p>
<p id="t92" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">rut_empresa</span> <span class="op">=</span> <span class="nam">servicio</span><span class="op">.</span><span class="nam">rut_empresa</span><span class="strut">&nbsp;</span></p>
<p id="t93" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">nombre_empresa</span> <span class="op">=</span> <span class="nam">servicio</span><span class="op">.</span><span class="nam">nombre_empresa</span><span class="strut">&nbsp;</span></p>
<p id="t94" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">cantidad_trabajadores</span> <span class="op">=</span> <span class="nam">servicio</span><span class="op">.</span><span class="nam">cantidad_trabajadores</span><span class="strut">&nbsp;</span></p>
<p id="t95" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">servicio_requerido</span> <span class="op">=</span> <span class="nam">servicio</span><span class="op">.</span><span class="nam">servicio_requerido</span><span class="strut">&nbsp;</span></p>
<p id="t96" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">inicio_contrato</span> <span class="op">=</span> <span class="nam">servicio</span><span class="op">.</span><span class="nam">inicio_contrato</span><span class="strut">&nbsp;</span></p>
<p id="t97" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">termino_contrato</span> <span class="op">=</span> <span class="nam">servicio</span><span class="op">.</span><span class="nam">termino_contrato</span><span class="strut">&nbsp;</span></p>
<p id="t98" class="stm run hide_run">        <span class="nam">self</span><span class="op">.</span><span class="nam">usuario_solicitante</span> <span class="op">=</span> <span class="nam">servicio</span><span class="op">.</span><span class="nam">usuario_solicitante</span><span class="strut">&nbsp;</span></p>
<p id="t99" class="stm run hide_run">        <span class="key">return</span> <span class="nam">servicio</span><span class="strut">&nbsp;</span></p>
<p id="t100" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t101" class="stm run hide_run">    <span class="key">def</span> <span class="nam">eliminar</span><span class="op">(</span><span class="nam">self</span><span class="op">,</span><span class="nam">id</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t102" class="stm run hide_run">        <span class="key">try</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t103" class="stm run hide_run">            <span class="nam">self</span><span class="op">.</span><span class="nam">buscar</span><span class="op">(</span><span class="nam">id</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t104" class="stm run hide_run">            <span class="nam">self</span><span class="op">.</span><span class="nam">delete</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t105" class="stm run hide_run">            <span class="key">return</span> <span class="key">True</span><span class="strut">&nbsp;</span></p>
<p id="t106" class="stm mis">        <span class="key">except</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t107" class="stm mis">            <span class="key">return</span> <span class="key">False</span><span class="strut">&nbsp;</span></p>
<p id="t108" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t109" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t110" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t111" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t112" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t113" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t114" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t115" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t116" class="pln">    <span class="com">##Cuando se llame al servicio, se imprimira mostrando el rut de la empresa:</span><span class="strut">&nbsp;</span></p>
<p id="t117" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t118" class="pln">    <span class="com"># al crearse, obtiene una url del detalle del post creado</span><span class="strut">&nbsp;</span></p>
<p id="t119" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t120" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t121" class="pln"><span class="strut">&nbsp;</span></p>

            </td>
        </tr>
    </table>
</div>

<div id="footer">
    <div class="content">
        <p>
            <a class="nav" href="index.html">&#xab; index</a> &nbsp; &nbsp; <a class="nav" href="https://coverage.readthedocs.io">coverage.py v4.5.4</a>,
            created at 2019-11-26 22:19
        </p>
    </div>
</div>

</body>
</html>
